Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface ISelectionChangedListener

All Known Implementing Classes:
  AbstractTextEditor.AbstractSelectionChangedListener, AddBookmarkAction, AddTaskAction, BaseSelectionListenerAction, BuildAction, CloseResourceAction, CloseUnrelatedProjectsAction, CollapseAllAction, CommonNavigatorManager, CompareViewerPane, CompareViewerSwitchingPane, ContentOutline, ContentOutlinePage, CopyProjectAction, CopyResourceAction, CreateFileAction, CreateFolderAction, DeleteResourceAction, DrillDownAdapter, ExportResourcesAction, FilterSelectionAction, GotoResourceAction, ImportResourcesAction, ModelParticipantAction, MoveProjectAction, MoveResourceAction, OpenFileAction, OpenResourceAction, OpenSystemEditorAction, PaintManager, PropertyDialogAction, RefreshAction, RenameResourceAction, ResourceNavigatorAction, ResourceNavigatorMoveAction, ResourceNavigatorRenameAction, ScrubLocalAction, SelectionListenerAction, SelectionProviderAction, ShowInNavigatorAction, SortViewAction, SynchronizeModelAction, ToggleLinkingAction, WorkspaceAction

    public interface ISelectionChangedListener

A listener which is notified when a viewer's selection changes.

See Also:
  `ISelection`, `ISelectionProvider`, `SelectionChangedEvent`

Method Summary
`void` `selectionChanged(SelectionChangedEvent event)` Notifies that the selection has changed.

Method Detail

### selectionChanged

    void selectionChanged(SelectionChangedEvent event)

  Notifies that the selection has changed.

  Parameters:
    `event` - event object describing the change

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.